(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2009-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: display_window.mli,v 1.11 2013-07-28 14:12:20 fclement Exp $ *)

open Segmentation_types;;
open Configuration_types;;
open Display_types;;

(** {6 Setting the display window} *)

val margin : length;;

val window_setup :
  graphics_kind -> min_window_size -> max_window_size -> image_size -> unit
;;

val get_graphics_elements : unit -> graphics_elements;;

(**/**)
(** {6 Undocumented functions, for testing purposes} *)

val aspect : image_size -> aspect;;

val rgb_direction : image_size -> rgb_direction;;

val same_direction : direction -> rgb_direction -> bool;;

val coeffs :
  graphics_kind -> direction -> rgb_direction ->
  length -> Unatural.t * Unatural.t
;;

val compound_length :
  graphics_kind -> direction -> rgb_direction ->
  length -> length -> length
;;

val split_ratio :
  graphics_kind -> direction -> rgb_direction ->
  length -> length -> length -> Upositive_rational.t
;;

val scaling_factor :
  graphics_kind ->
  min_window_size -> max_window_size -> image_size -> scaling_factor
;;

val set_graphics_elements :
  graphics_kind -> min_window_size -> max_window_size -> image_size -> unit
;;
