(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2009-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: tuple.mli,v 1.4 2013-07-25 11:53:45 fclement Exp $ *)

(** Homogeneous tuples. *)

open Tuple_spec;;

module Make : TUPLE_MAKER;;

module Single : TUPLE with type 'a t = 'a;;
module Triple : TUPLE with type 'a t = 'a * 'a * 'a;;

module Vector :
  functor (V : Vector_spec.VECTOR) ->
  TUPLE with type 'a t = 'a V.t
;;
